Bug 99413 - Rust game have wrong colors
Summary: Rust game have wrong colors
Status: RESOLVED NOTOURBUG
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-14 22:48 UTC by higuita
Modified: 2017-01-22 11:19 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description higuita 2017-01-14 22:48:47 UTC
Rust game have wrong colors in grass and trees, but water, ground, sky works fine.

This affects both amd and intel cards. Trying the game in amdgpu pro, it works fine

i made a youtube video with the problem: https://www.youtube.com/watch?v=yUER5g92dtk

During the night, most grass gets a neon look instead of getting darker

I'm using slackware-current 64bit, kernel 4.9.2, mesa 17-git with AMDGPU over a RX480
Comment 1 gtcsro 2017-01-20 20:39:49 UTC
Same here. Ubuntu 16.10, kernel 4.8, Mesa 17-dev padoka ppa. GPU Radeon HD 7870

That said: the driver performance is great if compared to the closed source driver. Absolutely superior! But the colors are wrong: blue/pink trees, neon green water, white or reddish grass. Trees, water and flowers (decor) are glowing like neon in the night. If shaders reduced below 200 (game options), ground textures are lost.
Comment 2 Gustaw Smolarczyk 2017-01-20 20:44:26 UTC
IIRC Rust has undefined behavior in its shader(s) or something like that.

From what I remember, running Rust without steam overlay (I think just running it from command line instead of Steam GUI did the trick) fixed this issue (based on what I wrote above it might have been pure luck).
Comment 3 higuita 2017-01-22 03:53:57 UTC
you are right. i just updated to mesa 17.0-rc1 and launching from steam i still have the weird colors... but if i keep steam open (due the game drm) and start rust from the command line, the colors are correct. So it is steam that is creating this bug.

Anyone know a steam contact to add to this bug?
Comment 4 Iaroslav Andrusyak 2017-01-22 11:19:45 UTC
The main problem is that Steam run Rust on linux with
-force-opengl -show-screen-selector 
-force-opengl is compatibility profile

If game launched without -force-opengl or with -force-glcore all looks fine.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.